<template>
  <v-navigation-drawer
    class="d-md-none"
    :value="value"
    @input="$emit('input', $event)"
    disable-resize-watcher
    fixed
    app
  >
    <v-list>
      <sidebar-nav-button v-for="(page, i) in pages" :page="page" :key="i" />

      <v-divider />

      <sidebar-nav-button
        v-for="(page, i) in pages_right"
        :page="page"
        :key="i + pages.length"
      />
    </v-list>
  </v-navigation-drawer>
</template>

<script>
import SidebarNavButton from '~/components/SidebarNavButton'

export default {
  components: {
    SidebarNavButton,
  },

  props: {
    pages: {
      type: Array,
      required: true,
    },

    pages_right: {
      type: Array,
      required: true,
    },

    value: {
      type: Boolean,
      required: true,
    },
  },
}
</script>
